japa.parser.ast.body

## Class BodyDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration

Direct Known Subclasses:
  AnnotationMemberDeclaration, ConstructorDeclaration, EmptyMemberDeclaration, EnumConstantDeclaration, FieldDeclaration, InitializerDeclaration, MethodDeclaration, TypeDeclaration

    public abstract class BodyDeclaration
    extends Node

Author:
  Julio Vilmar Gesser

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`BodyDeclaration()`
`BodyDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, List<AnnotationExpr> annotations)`
`BodyDeclaration(List<AnnotationExpr> annotations)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<AnnotationExpr>` `getAnnotations()`
`void` `setAnnotations(List<AnnotationExpr> annotations)`

### Methods inherited from class japa.parser.ast.Node

`accept, accept, addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BodyDeclaration

    public BodyDeclaration()

#### BodyDeclaration

    public BodyDeclaration(List<AnnotationExpr> annotations)

#### BodyDeclaration

    public BodyDeclaration(int beginLine,
                           int beginColumn,
                           int endLine,
                           int endColumn,
                           List<AnnotationExpr> annotations)

### Method Detail

#### getAnnotations

    public final List<AnnotationExpr> getAnnotations()

#### setAnnotations

    public final void setAnnotations(List<AnnotationExpr> annotations)